should NOT have additional property 'nodeModulesPath'

Good afternoon! hope you all in the good condition.

I’ve something to ask, i’ve using react native sdk 41 (after i upgraded my project), and then, when i want to publish using expo build:android -t app-bundle, i got Error looks like this Error: Problem validating fields in app.json. See https://docs.expo.io/workflow/configuration/ • should NOT have additional property 'nodeModulesPath'., when i see my app.json, i’m pretty sure that my app.json is fine (at least in my opinion)

Here’s my app.json:

{

  "expo": {

    "name": "MyProjectName",

    "slug": "MyProjectSlug",

    "version": "1.1.2",

    "orientation": "portrait",

    "icon": "./assets/images/icon.png",

    "scheme": "MyProjectScheme",

    "splash": {

      "image": "./assets/images/splash.png",

      "resizeMode": "contain",

      "backgroundColor": "#393939"

    },

    "updates": {

      "fallbackToCacheTimeout": 0

    },

    "assetBundlePatterns": [

      "**/*"

    ],

    "android": {

      "package": "com.mycompany.myprojectpackage"

      "versionCode": 31,

      "config": {

        "googleMobileAdsAppId": "ca-app-pub-xxxxxxxx~xxxxxxxx"

      }

    },

    "ios": {

      "supportsTablet": true,

      "config": {

        "googleMobileAdsAppId": "ca-app-pub-xxxxxxxx~xxxxxxxx"

      }

    }

  }

}

And here’s my package.json looks like:

{
  "main": "node_modules/expo/AppEntry.js",
  "scripts": {
    "start": "expo start",
    "android": "expo start --android",
    "ios": "expo start --ios",
    "web": "expo start --web",
    "eject": "expo eject",
    "test": "jest --watchAll"
  },
  "jest": {
    "preset": "jest-expo"
  },
  "dependencies": {
    "@expo/vector-icons": "^12.0.0",
    "@react-native-async-storage/async-storage": "^1.15.4",
    "@react-native-community/masked-view": "0.1.10",
    "@react-native-community/netinfo": "6.0.0",
    "@react-navigation/bottom-tabs": "^5.0.0",
    "@react-navigation/native": "^5.0.0",
    "@react-navigation/stack": "^5.14.4",
    "@react-navigation/web": "~1.0.0-alpha.9",
    "axios": "^0.19.2",
    "expo": "^41.0.0",
    "expo-ads-admob": "~10.0.4",
    "expo-asset": "~8.3.1",
    "expo-av": "~9.1.2",
    "expo-constants": "~10.1.3",
    "expo-font": "~9.1.0",
    "expo-image-picker": "~10.1.4",
    "expo-permissions": "~12.0.1",
    "expo-splash-screen": "~0.10.2",
    "expo-web-browser": "~9.1.0",
    "react": "16.13.1",
    "react-dom": "16.13.1",
    "react-native": "https://github.com/expo/react-native/archive/sdk-41.0.0.tar.gz",
    "react-native-gesture-handler": "~1.10.2",
    "react-native-reanimated": "~2.1.0",
    "react-native-responsive-screen": "^1.4.2",
    "react-native-safe-area-context": "3.2.0",
    "react-native-screens": "~3.0.0",
    "react-native-svg": "12.1.0",
    "react-native-vector-icons": "^6.6.0",
    "react-native-web": "~0.13.12",
    "react-native-webview": "11.2.3",
    "reanimated-bottom-sheet": "^1.0.0-alpha.19"
  },
  "devDependencies": {
    "@babel/core": "~7.9.0",
    "babel-preset-expo": "8.3.0",
    "jest-expo": "^41.0.0"
  },
  "private": true
}

Can someone help me about this thing? i really appriciate it :grinning_face_with_smiling_eyes:

Em… i think i solved this, not really me, you can see 51194, just doin npm install -g expo-cli

Thanks for following up with the solution, @sinarindoutama. :clap: